import 'package:dio_repository/dio_repository.dart';

class GlobalSettings {
  GlobalSettings._();

  ///
  /// 初始化操作
  ///
  static Future<Null> init() async {
    // 初始化网络
    DSDioUtil.getInstance()
        .init(baseUrl: 'xxx', connectTimeout: 2000, inject: httpInject);
  }

  ///
  /// 拦截处理
  ///
  static DSHttpInject httpInject = DSHttpInject(
    onRequest: (options, handler) {
      //做请求的拦截处理
      handler.next(options);
    },
    onResponse: (options, handler) {
      //做响应的拦截处理
      handler.next(options);
    },
    onError: (options, handler) {
      //异常错误处理
      handler.next(options);
    },
  );
}
